Get supported storage sources
The Get supported storage sources method returns a list of storage sources/options supported by the Document Translation service.
Request URL
Send a GET request to:
GET https://<NAME-OF-YOUR-RESOURCE>.cognitiveservices.azure.com/translator/text/batch/v1.0/storagesources
Learn how to find your custom domain name.
Important
- All API requests to the Document Translation service require a custom domain endpoint.
- You can't use the endpoint found on your Azure portal resource Keys and Endpoint page nor the global translator endpoint—
api.cognitive.microsofttranslator.com—to make HTTP requests to Document Translation.
Request headers
Request headers are:
| Headers | Description |
|---|---|
| Ocp-Apim-Subscription-Key | Required request header |
Response status codes
The following are the possible HTTP status codes that a request returns.
| Status Code | Description |
|---|---|
| 200 | OK. Successful request and returns the list of storage sources. |
| 500 | Internal Server Error. |
| Other Status Codes |
|
Get supported storage sources response
Successful get supported storage sources response
Base type for list return in the Get supported storage sources API.
| Name | Type | Description |
|---|---|---|
| value | string [] | List of objects. |
Error response
| Name | Type | Description |
|---|---|---|
| code | string | Enums containing high-level error codes. Possible values:
|
| message | string | Gets high-level error message. |
| innerError | InnerTranslationError | New Inner Error format which conforms to Cognitive Services API Guidelines. This contains required properties ErrorCode, message and optional properties target, details(key value pair), inner error(this can be nested). |
| innerError.code | string | Gets code error string. |
| innerError.message | string | Gets high-level error message. |
| innerError.target | string | Gets the source of the error. For example it would be "documents" or "document id" in case of invalid document. |
Examples
Example successful response
The following is an example of a successful response.
{
"value": [
"AzureBlob"
]
}
Example error response
The following is an example of an error response. The schema for other error codes is the same.
Status code: 500
{
"error": {
"code": "InternalServerError",
"message": "Internal Server Error",
"innerError": {
"code": "InternalServerError",
"message": "Unexpected internal server error has occurred"
}
}
}
Next steps
Follow our quickstart to learn more about using Document Translation and the client library.